import numpy as np
import cv2

img = cv2.imread("hhh.jpeg")
hori = 100
expan = 0
vert = 0
scl = 1

def horiMove(k,hori):
    if k==65363:
        hori = hori+10
        if hori>img.shape[1]-10:
            hori = img.shape[1]-10
    elif k==65361:
        hori = hori-10
        if hori<1:
            hori = 1
    return hori

def vertMove(k,vert):
    if k==65364:
        vert = vert + 10
        if vert>img.shape[0]-50:
            vert = img.shape[0]-50
    if k==65362:
        vert = vert - 10
        if vert<1:
            vert = 1
    return vert

def expanROI (k,expan):
    if k==101:
        expan = expan + 10
        if expan > 150:
            expan = 150
    if k==119:
        expan = expan - 10
        if expan < 1:
            expan = 1
    return expan

def magnifyROI(k, scl):
    if k==109:
        scl = scl + 1
        if scl>3:
            scl = 3
    if k==110:
        scl = scl - 1
        if scl < 1:
            scl = 1
    return scl

while(1):
    Frame_out = img.copy()
    k = cv2.waitKey(5)
    hori = horiMove(k, hori)
    vert = vertMove(k,vert)
    expan = expanROI (k,expan)
    scl = magnifyROI(k, scl)

    cv2.rectangle(Frame_out,(hori,10+vert),((hori+20+expan),30+expan+vert),(255,0,0),0)
    roi = Frame_out[10+vert:30+expan+vert,hori:hori+20+expan]

    roi_edited = cv2.resize(roi,None,fx=scl, fy=scl, interpolation = cv2.INTER_CUBIC)

    cv2.imshow('Frame1',Frame_out)
    cv2.imshow('Frame2',roi_edited)
    
    if k==27:    # Esc key to stop
        break
        cv2.destroyAllWindows()
